Debian Bug report logs - #718533
linux-image-3.10-1-amd64 fails to boot with RAID5

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Jesse Molina <jesse@opendreams.net>

Date: Thu, 1 Aug 2013 23:45:02 UTC

Severity: important

Found in version initramfs-tools/0.113

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#718533; Package initramfs-tools. (Thu, 01 Aug 2013 23:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Molina <jesse@opendreams.net>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 01 Aug 2013 23:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jesse Molina <jesse@opendreams.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-3.10-1-amd64: conf/modules typo "dm-raid45" makes RAID5 arrays unbootable
Date: Thu, 01 Aug 2013 16:35:23 -0700
Package: initramfs-tools
Version: 0.113
Severity: serious
Justification: unbootable


I rebooted a system today on linux-image-3.10-1-amd64 and it was unable to boot.

linux-image-3.2.0-x-amd64 works fine.  A "initrd.img-3.2.0-4-amd64" file was generated at the same time the 3.10 one was crated and it boots normally.  I don't know what the difference is.

The problem is that the raid456 module is not being loaded by initramfs.  I manually loaded the module with "modprobe raid5", assembled by arrays with mdadm, and was able to boot normally.

The initramfs file /conf/modules says "dm-raid45", but I suspect it should say "dm-raid456".  I suspect this typo is causing the module to not be loaded, causing boot to fail, but I have not verified this yet.  I will repack it and reboot on it in a few minutes here.




-- Package-specific info:
-- initramfs sizes
-rw-r--r-- 1 root root 11M Nov 15  2011 /boot/initrd.img-2.6.39-2-amd64
-rw-r--r-- 1 root root 11M Jan 22  2012 /boot/initrd.img-3.1.0-1-amd64
-rw-r--r-- 1 root root 13M Jul 31 16:31 /boot/initrd.img-3.10-1-amd64
-rw-r--r-- 1 root root 11M Feb 28  2012 /boot/initrd.img-3.2.0-1-amd64
-rw-r--r-- 1 root root 12M Jun 21  2012 /boot/initrd.img-3.2.0-2-amd64
-rw-r--r-- 1 root root 12M Sep 13  2012 /boot/initrd.img-3.2.0-3-amd64
-rw-r--r-- 1 root root 12M Jul 31 16:22 /boot/initrd.img-3.2.0-4-amd64
-- /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.10-1-amd64 root=UUID=b2c4c911-6183-452f-aed1-db72a09cd15d ro 8250.nr_uarts=16 quiet

-- resume
RESUME=UUID=d19e628c-7562-43c3-abff-5c974577bb3f
-- /proc/filesystems
	ext4
	fuseblk

-- lsmod
Module                  Size  Used by
xt_multiport           12548  4 
8021q                  23888  0 
garp                   13188  1 8021q
stp                    12437  1 garp
mrp                    13274  1 8021q
llc                    12822  2 stp,garp
cpufreq_stats          12866  0 
cpufreq_conservative    14159  0 
cpufreq_userspace      12576  0 
cpufreq_powersave      12454  0 
xt_LOG                 17220  6 
ipt_REJECT             12502  2 
xt_recent              13367  3 
xt_conntrack           12681  9 
iptable_filter         12536  1 
xt_tcpudp              12570  46 
xt_nat                 12601  10 
iptable_nat            12646  1 
nf_conntrack_ipv4      18549  10 
nf_defrag_ipv4         12483  1 nf_conntrack_ipv4
nf_nat_ipv4            12950  1 iptable_nat
nf_nat                 18378  3 nf_nat_ipv4,xt_nat,iptable_nat
iptable_mangle         12536  0 
ip_tables              22036  3 iptable_filter,iptable_mangle,iptable_nat
x_tables               19041  10 xt_recent,ip_tables,xt_tcpudp,xt_conntrack,xt_LOG,xt_nat,xt_multiport,iptable_filter,ipt_REJECT,iptable_mangle
binfmt_misc            12925  1 
nfsd                  192007  13 
auth_rpcgss            39085  1 nfsd
oid_registry           12419  1 auth_rpcgss
nfs_acl                12511  1 nfsd
nfs                   110304  0 
lockd                  59673  2 nfs,nfsd
dns_resolver           12641  1 nfs
fscache                37551  1 nfs
sunrpc                164583  29 nfs,nfsd,auth_rpcgss,lockd,nfs_acl
k8temp                 12711  0 
i2c_dev                13110  0 
it87                   30219  0 
hwmon_vid              12430  1 it87
ixgbe                 157728  0 
mdio                   12653  1 ixgbe
e1000                  90558  0 
skge                   41078  0 
forcedeth              54034  0 
nf_conntrack_ftp       12651  0 
nf_conntrack           59788  6 nf_nat,nf_nat_ipv4,xt_conntrack,nf_conntrack_ftp,iptable_nat,nf_conntrack_ipv4
raid1                  30999  0 
sata_promise           13551  0 
sata_nv                26909  0 
loop                   22869  0 
firewire_sbp2          17956  0 
fuse                   67458  1 
acpi_cpufreq           13280  0 
mperf                  12453  1 acpi_cpufreq
processor              28526  1 acpi_cpufreq
parport_pc             22409  0 
parport                31901  1 parport_pc
snd_hda_codec_hdmi     31720  1 
radeon                689925  1 
ttm                    54470  1 radeon
snd_hda_codec_realtek    32712  1 
button                 12944  0 
snd_hda_intel          35718  0 
snd_hda_codec         122850  3 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_intel
drm_kms_helper         31837  1 radeon
drm                   211856  3 ttm,drm_kms_helper,radeon
shpchp                 31346  0 
sp5100_tco             12864  0 
wmi                    13243  0 
thermal_sys            23137  1 processor
evdev                  17611  12 
i2c_piix4              12704  0 
kvm_amd                47719  0 
snd_hwdep              13189  1 snd_hda_codec
snd_pcm                68525  3 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel
snd_page_alloc         13018  2 snd_pcm,snd_hda_intel
snd_timer              22773  1 snd_pcm
kvm                   301458  1 kvm_amd
snd                    53068  7 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_hda_codec,snd_hda_intel
k10temp                12664  0 
soundcore              13026  1 snd
edac_mce_amd           17070  0 
serio_raw              12940  0 
pcspkr                 12632  0 
edac_core              43448  0 
ext4                  381419  3 
crc16                  12343  1 ext4
jbd2                   76205  1 ext4
mbcache                13082  1 ext4
raid0                  12973  1 
raid456                57159  4 
async_raid6_recov      12574  1 raid456
async_memcpy           12426  2 raid456,async_raid6_recov
async_pq               12547  2 raid456,async_raid6_recov
async_xor              12422  3 async_pq,raid456,async_raid6_recov
async_tx               12566  5 async_pq,raid456,async_xor,async_memcpy,async_raid6_recov
xor                    16985  1 async_xor
raid6_pq               95431  2 async_pq,async_raid6_recov
uhci_hcd               26976  0 
sr_mod                 21988  0 
cdrom                  35212  1 sr_mod
sg                     26095  0 
sd_mod                 40594  35 
crc_t10dif             12348  1 sd_mod
md_mod                 92559  6 raid456,raid0,raid1
dm_mirror              17748  0 
dm_region_hash         13589  1 dm_mirror
dm_log                 13590  2 dm_region_hash,dm_mirror
dm_mod                 64008  2 dm_log,dm_mirror
hid_generic            12393  0 
usbhid                 40964  0 
hid                    81894  2 hid_generic,usbhid
ata_generic            12490  0 
firewire_ohci          31931  0 
mptspi                 18027  0 
microcode              30413  0 
scsi_transport_spi     23826  1 mptspi
mptscsih               22714  1 mptspi
firewire_core          49211  2 firewire_ohci,firewire_sbp2
crc_itu_t              12347  1 firewire_core
mptbase                56932  2 mptspi,mptscsih
ahci                   25148  20 
pata_atiixp            12838  0 
libahci                23136  1 ahci
sata_sil24             17691  5 
igb                   114541  0 
ohci_hcd               26678  0 
ehci_pci               12472  0 
ehci_hcd               40590  1 ehci_pci
i2c_algo_bit           12841  2 igb,radeon
i2c_core               24353  7 drm,igb,i2c_dev,i2c_piix4,drm_kms_helper,i2c_algo_bit,radeon
dca                    13240  2 igb,ixgbe
ptp                    13364  2 igb,ixgbe
pps_core               13232  1 ptp
libata                141969  7 ahci,sata_promise,sata_nv,libahci,sata_sil24,ata_generic,pata_atiixp
scsi_mod              158249  8 sg,scsi_transport_spi,libata,mptspi,sd_mod,sr_mod,mptscsih,firewire_sbp2
r8169                  52872  0 
mii                    12675  1 r8169
usbcore               134993  5 uhci_hcd,ohci_hcd,ehci_hcd,ehci_pci,usbhid
usb_common             12440  1 usbcore

-- /etc/initramfs-tools/modules

-- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
do_bootloader = no
do_initrd = yes
link_in_boot = no

-- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=n
COMPRESS=gzip
DEVICE=
NFSROOT=auto

-- /etc/initramfs-tools/update-initramfs.conf
update_initramfs=yes
backup_initramfs=no

-- /proc/mdstat
Personalities : [raid6] [raid5] [raid4] [raid0] [raid1] 
md5 : active raid0 sda1[0] sde1[4] sdd1[3] sdc1[2] sdb1[1]
      2441914880 blocks super 1.2 512k chunks
      
md3 : active raid5 sdf4[5] sdj4[4] sdi4[3] sdh4[2] sdg4[1]
      1912129536 blocks super 1.2 level 5, 512k chunk, algorithm 2 [5/5] [UUUUU]
      
md2 : active raid5 sdf3[5] sdj3[4] sdi3[3] sdh3[2] sdg3[1]
      39057408 blocks super 1.2 level 5, 512k chunk, algorithm 2 [5/5] [UUUUU]
      
md1 : active (auto-read-only) raid5 sdf2[5] sdj2[4] sdi2[3] sdh2[2] sdg2[1]
      1947648 blocks super 1.2 level 5, 512k chunk, algorithm 2 [5/5] [UUUUU]
      
md0 : active raid5 sdf1[5] sdj1[4] sdi1[3] sdh1[2] sdg1[1]
      382976 blocks super 1.2 level 5, 512k chunk, algorithm 2 [5/5] [UUUUU]
      
unused devices: <none>

-- mkinitramfs hooks
/etc/initramfs-tools/hooks/:

/usr/share/initramfs-tools/hooks:
amd64_microcode
busybox
dmraid
dmsetup
fuse
intel_microcode
keymap
klibc
kmod
lvm2
mdadm
ntfs_3g
thermal
udev


-- System Information:
Debian Release: jessie/sid
Architecture: amd64 (x86_64)

Kernel: Linux 3.10-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools depends on:
ii  cpio               2.11+dfsg-1
ii  klibc-utils        2.0.1-3.1
ii  kmod               9-3
ii  module-init-tools  9-3
ii  udev               175-7.2

Versions of packages initramfs-tools recommends:
ii  busybox  1:1.20.0-8.1

Versions of packages initramfs-tools suggests:
ii  bash-completion  1:2.0-1

-- no debconf information

-- debsums errors found:
sh: 1: /usr/sbin/dpkg-divert: not found



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#718533; Package initramfs-tools. (Thu, 01 Aug 2013 23:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Molina <jesse@opendreams.net>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 01 Aug 2013 23:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 718533@bugs.debian.org (full text, mbox):

From: Jesse Molina <jesse@opendreams.net>
To: 718533@bugs.debian.org
Subject: Re: linux-image-3.10-1-amd64: conf/modules typo "dm-raid45" makes RAID5 arrays unbootable
Date: Thu, 01 Aug 2013 16:48:03 -0700
I was wrong about the dm-raid45 bit being the cause.  I just rebooted on 
the repacked image and it behaved in the same broken way as before.

I will go dissect an old working image and try to see what the 
difference is.

This is just a matter that the raid456 module isn't being loaded when it 
should be...

Why it is not being loaded, I don't know yet.



Jesse Molina wrote:
> The initramfs file /conf/modules says "dm-raid45", but I suspect it should say "dm-raid456".  I suspect this typo is causing the module to not be loaded, causing boot to fail, but I have not verified this yet.  I will repack it and reboot on it in a few minutes here.




Changed Bug title to 'linux-image-3.10-1-amd64: RAID5 unbootable, module not' from 'linux-image-3.10-1-amd64: conf/modules typo "dm-raid45" makes RAID5 arrays unbootable' Request was from Jesse Molina <jesse@opendreams.net> to control@bugs.debian.org. (Fri, 02 Aug 2013 00:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#718533; Package initramfs-tools. (Fri, 02 Aug 2013 03:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Molina <jesse@opendreams.net>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 02 Aug 2013 03:33:07 GMT) Full text and rfc822 format available.

Message #17 received at 718533@bugs.debian.org (full text, mbox):

From: Jesse Molina <jesse@opendreams.net>
To: 718533@bugs.debian.org
Subject: Re: linux-image-3.10-1-amd64: conf/modules typo "dm-raid45" makes RAID5 arrays unbootable
Date: Thu, 01 Aug 2013 20:31:26 -0700
I have reproduced this problem on a second host.  I still don't know the 
cause yet.  I don't have a lot of time to play with this right now.

FYI, this is what is printed on the console during bootup, just before 
it drops into the busybox shell:

modprobe: module dm-raid45 not found in modules.dep
mdadm: No devices listed in conf file were found.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#718533; Package initramfs-tools. (Fri, 02 Aug 2013 08:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 02 Aug 2013 08:24:05 GMT) Full text and rfc822 format available.

Message #22 received at 718533@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Jesse Molina <jesse@opendreams.net>, 718533@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#718533: linux-image-3.10-1-amd64: conf/modules typo "dm-raid45" makes RAID5 arrays unbootable
Date: Fri, 2 Aug 2013 10:21:14 +0200
[Message part 1 (text/plain, inline)]
severity 718533 important
retitle 718533 linux-image-3.10-1-amd64 fails to boot with RAID5
thanks

* Jesse Molina [Thu Aug 01, 2013 at 04:35:23PM -0700]:

> I rebooted a system today on linux-image-3.10-1-amd64 and it was unable to boot.

> linux-image-3.2.0-x-amd64 works fine.  A
> "initrd.img-3.2.0-4-amd64" file was generated at the same time the
> 3.10 one was crated and it boots normally.  I don't know what the
> difference is.

Please provide output of 'lsinitramfs /boot/initrd.*' for both the
working and the broken initramfs.

> The problem is that the raid456 module is not being loaded by
> initramfs.  I manually loaded the module with "modprobe raid5",
> assembled by arrays with mdadm, and was able to boot normally.
> The initramfs file /conf/modules says "dm-raid45", but I suspect
> it should say "dm-raid456".
[...]

This is
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=411172 - unrelated
to mdadm and initramfs-tools but being a dmraid issue.

I'm tending to reassign this bugreport to mdadm actually.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'serious' Request was from Michael Prokop <mika@debian.org> to control@bugs.debian.org. (Fri, 02 Aug 2013 08:24:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'linux-image-3.10-1-amd64 fails to boot with RAID5' from 'linux-image-3.10-1-amd64: RAID5 unbootable, module not' Request was from Michael Prokop <mika@debian.org> to control@bugs.debian.org. (Fri, 02 Aug 2013 08:24:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#718533; Package initramfs-tools. (Fri, 02 Aug 2013 08:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Molina <jesse@opendreams.net>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 02 Aug 2013 08:36:07 GMT) Full text and rfc822 format available.

Message #31 received at 718533@bugs.debian.org (full text, mbox):

From: Jesse Molina <jesse@opendreams.net>
To: 718533@bugs.debian.org
Subject: Re: Bug#718533: linux-image-3.10-1-amd64: conf/modules typo "dm-raid45" makes RAID5 arrays unbootable
Date: Fri, 02 Aug 2013 01:33:35 -0700
Disregard my original comments regarding the dm-raid45 thing.  That was 
just a wrong hunch, as the same module info is in both initrd images and 
so it is unlikely to be the cause.

I am less inclined to think this is a bug in mdadm, though I agree that 
this will probably get re-assigned to some other package.  I need to 
check that this isn't a udev issue.

Based on a brief review of the bug you listed below, I don't think this 
is the same mdadm issue.  This doesn't feel like am mdadm issue.

The raid5 module loads fine if I do it manually.  It's just not being 
called or is being called incorrectly.

I will debug more tomorrow and update.

Thanks




Michael Prokop wrote:
>
>> >The problem is that the raid456 module is not being loaded by
>> >initramfs.  I manually loaded the module with "modprobe raid5",
>> >assembled by arrays with mdadm, and was able to boot normally.
>> >The initramfs file /conf/modules says "dm-raid45", but I suspect
>> >it should say "dm-raid456".
> [...]
>
> This is
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=411172  - unrelated
> to mdadm and initramfs-tools but being a dmraid issue.
>
> I'm tending to reassign this bugreport to mdadm actually.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#718533; Package initramfs-tools. (Fri, 02 Aug 2013 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 02 Aug 2013 08:45:04 GMT) Full text and rfc822 format available.

Message #36 received at 718533@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jesse Molina <jesse@opendreams.net>, 718533@bugs.debian.org
Subject: Re: Bug#718533: linux-image-3.10-1-amd64: conf/modules typo "dm-raid45" makes RAID5 arrays unbootable
Date: Fri, 02 Aug 2013 10:43:11 +0200
[Message part 1 (text/plain, inline)]
On Thu, 2013-08-01 at 16:35 -0700, Jesse Molina wrote:
> Package: initramfs-tools
> Version: 0.113
> Severity: serious
> Justification: unbootable
> 
> 
> I rebooted a system today on linux-image-3.10-1-amd64 and it was
> unable to boot.
> 
> linux-image-3.2.0-x-amd64 works fine.  A "initrd.img-3.2.0-4-amd64"
> file was generated at the same time the 3.10 one was crated and it
> boots normally.  I don't know what the difference is.
> 
> The problem is that the raid456 module is not being loaded by
> initramfs.  I manually loaded the module with "modprobe raid5",
> assembled by arrays with mdadm, and was able to boot normally.
> 
> The initramfs file /conf/modules says "dm-raid45", but I suspect it
> should say "dm-raid456".

Neither of these modules exists, nor did they exist in Linux 3.2.  Could
be your own configuration error or a bug in the dmraid hook (*not*
initramfs-tools itself).

[...]
> -- /proc/mdstat
> Personalities : [raid6] [raid5] [raid4] [raid0] [raid1] 
> md5 : active raid0 sda1[0] sde1[4] sdd1[3] sdc1[2] sdb1[1]
>       2441914880 blocks super 1.2 512k chunks
>       
> md3 : active raid5 sdf4[5] sdj4[4] sdi4[3] sdh4[2] sdg4[1]
>       1912129536 blocks super 1.2 level 5, 512k chunk, algorithm 2 [5/5] [UUUUU]
>       
> md2 : active raid5 sdf3[5] sdj3[4] sdi3[3] sdh3[2] sdg3[1]
>       39057408 blocks super 1.2 level 5, 512k chunk, algorithm 2 [5/5] [UUUUU]
>       
> md1 : active (auto-read-only) raid5 sdf2[5] sdj2[4] sdi2[3] sdh2[2] sdg2[1]
>       1947648 blocks super 1.2 level 5, 512k chunk, algorithm 2 [5/5] [UUUUU]
>       
> md0 : active raid5 sdf1[5] sdj1[4] sdi1[3] sdh1[2] sdg1[1]
>       382976 blocks super 1.2 level 5, 512k chunk, algorithm 2 [5/5] [UUUUU]
>       
> unused devices: <none>
[...]

And this indicates you are using md-RAID, so presumably you are not also
using dm-RAID...?

But I suspect that the boot failure probably has nothing at all to do
with this configuration error; see bug #678696.

Ben.

-- 
Ben Hutchings
This sentence contradicts itself - no actually it doesn't.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#718533; Package initramfs-tools. (Fri, 02 Aug 2013 09:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Molina <jesse@opendreams.net>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 02 Aug 2013 09:00:13 GMT) Full text and rfc822 format available.

Message #41 received at 718533@bugs.debian.org (full text, mbox):

From: Jesse Molina <jesse@opendreams.net>
To: 718533@bugs.debian.org
Subject: Re: Bug#718533: linux-image-3.10-1-amd64: conf/modules typo "dm-raid45" makes RAID5 arrays unbootable
Date: Fri, 02 Aug 2013 01:57:16 -0700
Correct, this is mdraid, not dmraid.  There is no dmraid on this host.

As for bug 678696, this could be a timeout issue, but I I don't know.  I 
will keep it in mind.

I will go play with it here for an hour and then let you know what I 
think...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#718533; Package initramfs-tools. (Fri, 02 Aug 2013 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Molina <jesse@opendreams.net>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 02 Aug 2013 10:18:03 GMT) Full text and rfc822 format available.

Message #46 received at 718533@bugs.debian.org (full text, mbox):

From: Jesse Molina <jesse@opendreams.net>
To: Ben Hutchings <ben@decadent.org.uk>, 718533@bugs.debian.org
Subject: Re: Bug#718533: linux-image-3.10-1-amd64: conf/modules typo "dm-raid45" makes RAID5 arrays unbootable
Date: Fri, 02 Aug 2013 03:15:21 -0700
I added rootdelay=5 and the host booted normally.  It's just a timing issue.

It looks like 3.10 is just taking too long.

FYI this hardware is a standard PC motherboard and five ST3500630AS 
SATA150 disks for the root part.  I also have an older PC here with 
three disks which I was able to reproduce the problem.

Sounds like bug 678696 is the fix.

Looks like this is the proposal:
https://wiki.debian.org/InitramfsEventBased

Reassign/tag/etc as you feel fit.  Thanks for the hint on 678696.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#718533; Package initramfs-tools. (Sat, 28 Sep 2013 16:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans Bausewein" <hansbausewein@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sat, 28 Sep 2013 16:24:14 GMT) Full text and rfc822 format available.

Message #51 received at 718533@bugs.debian.org (full text, mbox):

From: "Hans Bausewein" <hansbausewein@xs4all.nl>
To: 718533@bugs.debian.org
Subject: Re: Bug#718533: linux-image-3.10-1-amd64: conf/modules typo "dm-raid45" makes RAID5 arrays unbootable
Date: Sat, 28 Sep 2013 18:22:11 +0200
rootdelay=1 is enough here :-)


thanks for the hint.

Hans




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#718533; Package initramfs-tools. (Sat, 09 Nov 2013 23:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pool <mbp@sourcefrog.net>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sat, 09 Nov 2013 23:18:08 GMT) Full text and rfc822 format available.

Message #56 received at 718533@bugs.debian.org (full text, mbox):

From: Martin Pool <mbp@sourcefrog.net>
To: 718533@bugs.debian.org
Subject: "no devices listed in conf file were found" on 3.10-3
Date: Sun, 10 Nov 2013 10:15:10 +1100
[Message part 1 (text/plain, inline)]
I hit the same problem, and found that adding a rootdelay fixed it too.

-- 
Martin
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:00:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.